package com.fizz.business.mapper;

import java.util.List;
import org.apache.ibatis.annotations.Param;
import com.fizz.business.domain.SetupTensionStraightener;

/**
 * 矫直机张力Mapper接口
 */
public interface SetupTensionStraightenerMapper
{
    SetupTensionStraightener selectByKey(@Param("steelGrade") String steelGrade,
                                         @Param("thick") Float thick,
                                         @Param("yieldStren") Float yieldStren);

    List<SetupTensionStraightener> selectList(SetupTensionStraightener query);

    int insert(SetupTensionStraightener entity);

    int updateByKey(SetupTensionStraightener entity);

    int deleteByKey(@Param("steelGrade") String steelGrade,
                    @Param("thick") Float thick,
                    @Param("yieldStren") Float yieldStren);
}

